baseURL: "https://misha.pages.unistra.fr/hugo/"
contentdir: "content"
layoutdir: "layouts"
publishdir: "public"
canonifyURLs: true
#relativeURLs: true
#uglyURLs: true

theme: "beautifulhugo"
metaDataFormat: "yaml"
pygmentsUseClasses: true
pygmentCodeFences: true

params:
  logo: "img/avatar-icon.png"
  favicon: "img/favicon.ico"
  commit: false
  rss: true
  comments: true
#  bigimg:
#  - src: "img/triangle.jpg"
#    desc: "Triangle"
#  - src: "img/sphere.jpg"
#    desc: "Sphere"
#  - src: "img/hexagon.jpg"
#    desc: "Hexagon"

author:
  name: "Some Person"
  email: "youremail@domain.com"
  gitlab: "username"
  twitter: "username"
  reddit: "username"
  linkedin: "username"
  stackoverflow: "users/XXXXXXX/username"
  snapchat: "username"
  instagram: "username"
  itchio: "username"

menu:
  main:
  - name: "Articles"
    url: "post/"
    weight: 1
  - name: "À propos"
    url: "page/about/"
    weight: 3
  - identifier: "samples"
    name: "À la une"
    weight: 2
  - parent: "samples"
    name: "Markdown"
    url: "post/syntaxe-markdown"
    weight: 1
  - parent: "samples"
    name: "Mathématiques"
    url: "post/maths"
    weight: 2
  - parent: "samples"
    name: "Programmation"
    url: "post/code-source"
    weight: 3
  - name: "Catégories"
    url: "tags"
    weight: 3


defaultContentLanguage: "fr"
languages:
  fr:
    languageName: Français
    weight: 1
    title: "Je suis sur le web !"
    subtitle: "J'étais capable de faire un site sans que je n'en susse rien ..."
    params:
      dateFormat: "2/1/2006"
  en:
    languageName: English
    weight: 2
    title: "I'm on the Interwebs!"
    subtitle: "I was able to do it all along!"
    params:
      dateFormat: "2006-1-2"
disableLanguages:
  - en
